#include <iostream>
#include<fstream>
using namespace std;
int main()
{
	int n;
	int m[200];
	int u;
	ifstream fi("SX.inp");
	fi>>n;
	ofstream fo("SX.out");
	for(int t=0;t<n;t++)
	{
		fi>>m[t];
	}
	for(int i=0;i<n;i++)
	{
		for(int j=i+1;j<n;j++)
		{
			u=m[i];
			if(m[j]<m[i])
			{
				m[i]=m[j];
				m[j]=u;
			}
		}
	}
	fi.close();
	for(int t=0;t<n;t++)
	{
		if(m[t]%2==0)
		{
			fo<<m[t]<<" ";
		}
	}
	fo<<endl;
	for(int t=n-1;t>=0;t--)
	{
		if(m[t]%2==1)
		{
			fo<<m[t]<<" ";
		}
	}
	
	fo.close();
	return 0;
}
